Subject: [Fenics] Cleanup of FFC repository

From: Anders Logg <[email-masked]>
Date: Thu, 21 Mar 2013 15:33:35 +0100

Does anyone have a bright idea for how to cleanup the FFC repository?
It is quite large and growing as a result of the reference files we
store for the regression tests.

The trick I used for the DOLFIN repository does not really work since
the data for FFC is not static as it is for DOLFIN. One could think of
creating a separate repository ffc-data which contains the big data
files, but that repository will then need to stay in sync with the
main repository, and the buildbot will for each different version
(trunk, 1.2, 1.1 etc) need to know where to get the correct
references. On top of this, the regression tests are quite complex as
they are already and a separate source for the references may add to
the complexity.

Any thoughts or good suggestions? Should we just live with the size
of the FFC repository?

--
Anders